> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put postponement



## OpenAPI

````yaml /api-reference/specs/pension-v2.json put /postponement
openapi: 3.0.1
info:
  title: FlowPayroll Pension API
  version: v2
servers:
  - url: https://api.sandbox.flowpayroll.ai/v2/pension
security: []
paths:
  /postponement:
    put:
      tags:
        - Postponement
      operationId: PutEmployeePostponement
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitEmployeePostponementRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployeePostponementApiResponse'
components:
  schemas:
    SubmitEmployeePostponementRequest:
      required:
        - employeeId
      type: object
      properties:
        employeeId:
          type: string
          nullable: true
        startDateDefinition:
          $ref: '#/components/schemas/PostponementValueModel'
        eligibilityDateDefinition:
          $ref: '#/components/schemas/PostponementValueModel'
      additionalProperties: false
    EmployeePostponementApiResponse:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/EmployeePostponementContent'
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    PostponementValueModel:
      required:
        - frequency
        - value
      type: object
      properties:
        value:
          type: integer
          format: int32
        frequency:
          type: string
          nullable: true
      additionalProperties: false
    EmployeePostponementContent:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/EmployeePostponement'
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        dateFormat:
          type: string
          nullable: true
        dateTimeFormat:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        field:
          type: string
          nullable: true
        reasonText:
          type: string
          nullable: true
        reasonId:
          type: string
          nullable: true
        reasonParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        text:
          type: string
          nullable: true
        textId:
          type: string
          nullable: true
        textParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    EmployeePostponement:
      required:
        - employeeId
        - organisationId
      type: object
      properties:
        organisationId:
          type: string
          nullable: true
        employeeId:
          type: string
          nullable: true
        startDateDefinition:
          $ref: '#/components/schemas/PostponementValueModel'
        eligibilityDateDefinition:
          $ref: '#/components/schemas/PostponementValueModel'
      additionalProperties: false
    Pair:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false

````